scs = {'1': '2', '3': '4', '5': '6', '2': '7', '6': '7', '4': '7'}


def find_close(string: str, sc: str):
    if sc == '0':
        return 0
    rsc = scs[sc]
    opening = 0
    for j, i in enumerate(string):
        if i == sc:
            opening += 1
        elif i == rsc:
            opening -= 1

            if opening == 0:
                return j

    return -1


def check(string):
    if string:
        close = find_close(string, string[0])
        if close != -1:
            return check(string[1:close]) * check(string[close + 1:])
        return False
    return True


def to7(num):
    n = ''
    while num:
        n = str(num % 7) + n
        num //= 7

    return n


a, b = [int(i) for i in input().split()]
counter = 0
for i in range(a, b + 1):
    if check(to7(i)):
        counter += 1

print(counter)

